Subject: Re: bug#17560: 24.4.50; wrong type argument if rmail-delete-after-output set

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 May 2014 09:54:51 +0300

> From: Ken Olum <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 23 May 2014 16:04:56 -0400
> 
> What I meant was that you cannot say (rmail-next-message) to go forward
> one message.  You have to say (rmail-next-message 1).  So I wasn't sure
> whether it would be a good idea to allow (rmail-delete-forward) to
> default to deleting one message.
> 
> On the other hand, I now see that rmail-search has a repeat count that
> is optional.

I see.  So that was my misunderstanding, and it is better to go with
your first alternative, since it is backward-compatible, and requires
less changes.

Again, sorry for not bringing this up earlier.